Get webhooks list
Retrieves a paginated list of webhooks for the authenticated customer. Each version 1 webhook includes its sender_profile selection.
GET
page*integerFormat
int32page_size*integerFormat
int32search?string|nullis_active?boolean|nullx-profile-id?stringProfile UUID to scope the request to a child profile. Only organization API keys can use this header. The profile must belong to the calling organization.
Format
uuidWebhooks retrieved successfully
application/json- response
Standard API response envelope for all v3 endpoints
success?booleanIndicates whether the request was successful
data?|nullThe response data (null if error)
error?|nullError details (null if successful)
meta?Metadata about the request and response
curl -X GET 'https://api.sent.dm/v3/webhooks?page=1&page_size=20&is_active=true'Example Response
{ "success": true, "data": { "webhooks": [ { "id": "d4f5a6b7-c8d9-4e0f-a1b2-c3d4e5f6a7b8", "customer_id": "00000000-0000-0000-0000-000000000000", "display_name": "Order Notifications", "endpoint_url": "https://example.com/webhooks/orders", "signing_secret": null, "is_active": true, "event_types": [ "contact", "message", "templates" ], "event_filters": null, "sender_profile": null, "retry_count": 3, "timeout_seconds": 30, "is_inheritable": false, "webhook_version": 2, "last_delivery_attempt_at": null, "last_successful_delivery_at": null, "consecutive_failures": 0, "created_at": "2026-01-15T10:30:00+00:00", "updated_at": null } ], "pagination": { "page": 1, "page_size": 20, "total_count": 1, "total_pages": 1, "has_more": false, "cursors": null } }, "error": null, "meta": { "request_id": "req_7X9zKp2jDw", "timestamp": "2026-11-12T15:32:26.2936691+00:00", "version": "v3" }}